--freemarker template
<#assign max_fachnr=6 />

<#if MSG_FKOMBI_TID_STG?exists>

create temp table tmp_msg_fkombi_aggr(
	matrikel_nr INTEGER , 
studiengang_nr SMALLINT  not null, 
fach_nr SMALLINT  not null, 
sem_rueck_beur_ein SMALLINT  not null, 
tid_stg INTEGER , 
ca12_staat SMALLINT  not null, 
geschlecht SMALLINT  not null, 
alter decimal(14,2) , 
hzbart SMALLINT , 
hrst CHAR(10) , 
fach_sem_zahl SMALLINT  not null, 
kz_rueck_beur_ein SMALLINT  not null, 
kombi_kennz CHAR(10) , 
kombi_tid_stg_2 INTEGER , 
kombi_fach_nr SMALLINT , 
kombi_fach_sem_zahl SMALLINT , 
kombi_ch30_fach CHAR(10) , 
summe decimal(19,6) 
) 
;

insert into tmp_msg_fkombi_aggr(
matrikel_nr,
       studiengang_nr,
       fach_nr,
       sem_rueck_beur_ein,
       tid_stg,
       ca12_staat,
       geschlecht,
       alter,
       hzbart,
       hrst,
       fach_sem_zahl,
       kz_rueck_beur_ein,
       summe)
select matrikel_nr,
       studiengang_nr,
       fach_nr,
       sem_rueck_beur_ein,
       tid_stg,
       ca12_staat,
       geschlecht,
       alter,
       hzbart,
       hrst,
       fach_sem_zahl,
       kz_rueck_beur_ein,
       summe
       from sos_stg_aggr S, sos_stichtag I
       where S.stichtag=I.tid
       and I.appl_key='0'
       and ${MSG_FKOMBI_TID_STG}
  ;
 
truncate table msg_fkombi_aggr;

<#list 1..max_fachnr as fach_nr>
</#list>
insert into msg_fkombi_aggr
(matrikel_nr,
       studiengang_nr,
       fach_nr,
       sem_rueck_beur_ein,
       tid_stg,
       ca12_staat,
       geschlecht,
       alter,
       hzbart,
       hrst,
       fach_sem_zahl,
       kz_rueck_beur_ein,
       kombi_kennz,
       kombi_tid_stg,
       kombi_fach_nr,
       kombi_fach_sem_zahl,
       kombi_ch30_fach,
       summe)
       select 
T.matrikel_nr,
T.studiengang_nr,
T.fach_nr,
T.sem_rueck_beur_ein,
T.tid_stg,
T.ca12_staat,
T.geschlecht,
T.alter,
T.hzbart,
T.hrst,
T.fach_sem_zahl,
T.kz_rueck_beur_ein,
''::varchar(10) as kombi_kennz,
S.tid_stg as kombi_tid_stg,
S.fach_nr as kombi_fach_nr,
S.fach_sem_zahl as kombi_fach_sem_zahl,
D.stg as kombi_ch30_fach,
S.summe
from tmp_msg_fkombi_aggr T, sos_stg_aggr S, dim_studiengang D, sos_stichtag I
where S.stichtag=I.tid
and I.appl_key='0'
and D.tid=S.tid_stg
and T.matrikel_nr=S.matrikel_nr
and T.studiengang_nr=S.studiengang_nr
and T.sem_rueck_beur_ein=S.sem_rueck_beur_ein
--and T.fach_nr !=S.fach_nr
;

--TODO: Hildesheim spezifisch:
update msg_fkombi_aggr F set kombi_kennz='SPRACHE_F3'
where exists(select S.matrikel_nr
from sos_stg_aggr S, dim_studiengang D, sos_stichtag I
where S.stichtag=I.tid
and I.appl_key='0'
and D.tid=S.tid_stg
and S.matrikel_nr=F.matrikel_nr 
and S.sem_rueck_beur_ein=F.sem_rueck_beur_ein
and S.studiengang_nr=F.studiengang_nr 
and D.stg in ('008','150','059')
and S.fach_nr=3
);

drop table tmp_msg_fkombi_aggr;

</#if>



