--Freemarker Template
<#assign sachgebiete_id="370" />--MSG
<#assign systeminfo_id="370" />
<#assign repos = [
{"id":"MSG_FKOMBI_TID_STG", "caption":"Studiengänge für Fächerkombinationen", "art":"MSG_TID_STG", "art2":"",
"content":" tid_stg in (select D.tid from dim_studiengang D where D.ist_lehramt=1)"}

] />

create temp table tmp_repository(
	
id CHAR(200)  not null, 
content TEXT , 
caption CHAR(200) , 
comment TEXT , 
version SMALLINT , 
art CHAR(200) , 
art2 CHAR(200) , 
art3 CHAR(200) , 
sachgebiete_id INTEGER , 
sort1 INTEGER , 
sort2 INTEGER , 
sort3 INTEGER , 
geaendert_am DATE , 
aktiv smallint , 
gueltig_seit DATE , 
gueltig_bis DATE 
);
<#assign sort1=1 />
<#foreach repo in repos>

insert into tmp_repository(id,
       content,
       caption,
       art,
       art2,
       sachgebiete_id,
       sort1,
       geaendert_am,
       aktiv,
       gueltig_seit,
       gueltig_bis)
       select 
       '${repo.id}' as id,
       '${repo.content}' as content,
       '${repo.caption}' as caption,
       '${repo.art}' as art,
       '${repo.art2}' as art2,
       '${sachgebiete_id}' as  sachgebiete_id,
       '${sort1}' as sort1,
       today() as geaendert_am,
       1 as aktiv,
       date_val('01.01.1900') as gueltig_seit,
       date_val('01.01.3000') as gueltig_bis
       from xdummy;

<#assign sort1=sort1+1 />

       
       </#foreach>
delete from tmp_repository where id in (select id from sx_repository);

<#if SQLdialect='Postgres'>
select sp_update_sequence('sx_repository');
</#if>

insert into sx_repository
(
       id,
       content,
       caption,
       comment,
       version,
       art,
       art2,
       art3,
       sachgebiete_id,
       sort1,
       sort2,
       sort3,
       geaendert_am,
       aktiv,
       gueltig_seit,
       gueltig_bis
)

SELECT 
       id,
       content,
       caption,
       comment,
       version,
       art,
       art2,
       art3,
       sachgebiete_id,
       sort1,
       sort2,
       sort3,
       geaendert_am,
       aktiv,
       gueltig_seit,
       gueltig_bis
FROM tmp_repository;


drop table tmp_repository;
